#
# spec file for package mutter
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           mutter
Version:        3.3.5
Release:        0
Summary:        Window and compositing manager based on Clutter
License:        GPL-2.0+
Group:          System/GUI/GNOME
Url:            http://www.gnome.org
Source:         http://download.gnome.org/sources/mutter/3.3/%{name}-%{version}.tar.xz
BuildRequires:  clutter-devel
BuildRequires:  fdupes
BuildRequires:  gnome-doc-utils-devel
BuildRequires:  gobject-introspection-devel
BuildRequires:  gtk3-devel >= 3.3.7
BuildRequires:  intltool
BuildRequires:  libSM-devel
BuildRequires:  libX11-devel
BuildRequires:  libXext-devel
BuildRequires:  libXinerama-devel
BuildRequires:  libXrandr-devel
BuildRequires:  startup-notification-devel
BuildRequires:  translation-update-upstream
BuildRequires:  update-desktop-files
BuildRequires:  zenity
BuildRequires:  pkgconfig(gsettings-desktop-schemas) >= 3.3.0
BuildRequires:  pkgconfig(libcanberra-gtk3)
BuildRequires:  pkgconfig(xcomposite) >= 0.2
BuildRequires:  pkgconfig(xcursor)
BuildRequires:  pkgconfig(xdamage)
BuildRequires:  pkgconfig(xfixes)
BuildRequires:  pkgconfig(xrender)
%if 0%{?BUILD_FROM_VCS}
BuildRequires:  gnome-common
%endif
Requires:       zenity
Recommends:     %{name}-lang
Provides:       windowmanager
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%glib2_gsettings_schema_requires

%description
Mutter is a window and compositing manager based on Clutter, forked
from Metacity.

%package tools
Summary:        Window and compositing manager based on Clutter -- Tools
Group:          System/GUI/GNOME
Requires:       %{name} = %{version}

%description tools
Mutter is a window and compositing manager based on Clutter, forked
from Metacity.

This package contains tools related to mutter, including an utility to
test themes and a small application to test window managers.

%package devel
Summary:        Include Files and Libraries mandatory for Development
Group:          Development/Libraries/GNOME
Requires:       %{name} = %{version}

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.


%lang_package
%prep
%setup -q
translation-update-upstream

%if 0%{?BUILD_FROM_VCS}
[ -x ./autogen.sh ] && NOCONFIGURE=1 ./autogen.sh
%endif

%build
%configure \
	--disable-static \
        --enable-compile-warnings=maximum
%__make %{?jobs:-j%jobs} V=1

%install
%makeinstall
%{__rm} %{buildroot}/%{_libdir}/*.la
%suse_update_desktop_file %{name}
%suse_update_desktop_file %{buildroot}%{_datadir}/gnome/wm-properties/mutter-wm.desktop
%find_lang %{name} %{?no_lang_C}
%fdupes %{buildroot}

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig
%desktop_database_post
%glib2_gsettings_schema_post

%postun
/sbin/ldconfig
%desktop_database_postun
%glib2_gsettings_schema_postun

%files
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS rationales.txt README
%{_bindir}/mutter
%{_bindir}/mutter-message
%{_libdir}/libmutter.so.*
%{_libdir}/mutter/
%exclude %{_libdir}/mutter/Meta-3.0.gir
%{_datadir}/applications/mutter.desktop
# Do not depend on libgnome just for a directory
%dir %{_datadir}/gnome
%dir %{_datadir}/gnome/wm-properties
%{_datadir}/gnome/wm-properties/mutter-wm.desktop
# Do not depend on g-c-c just for a directory
%dir %{_datadir}/gnome-control-center
%dir %{_datadir}/gnome-control-center/keybindings
%{_datadir}/gnome-control-center/keybindings/50-mutter-windows.xml
%doc %{_mandir}/man1/mutter.1%{?ext_man}
%doc %{_mandir}/man1/mutter-message.1%{?ext_man}
%{_datadir}/GConf/gsettings/mutter-schemas.convert
%{_datadir}/glib-2.0/schemas/org.gnome.mutter.gschema.xml

%files tools
%defattr (-, root, root)
%{_bindir}/mutter-theme-viewer
%{_bindir}/mutter-window-demo
%dir %{_datadir}/mutter
%dir %{_datadir}/mutter/icons
%{_datadir}/mutter/icons/mutter-window-demo.png
%doc %{_mandir}/man1/mutter-theme-viewer.1%{?ext_man}
%doc %{_mandir}/man1/mutter-window-demo.1%{?ext_man}

%files lang -f %{name}.lang

%files devel
%defattr (-, root, root)
%{_includedir}/mutter/
%{_libdir}/*.so
%{_libdir}/mutter/Meta-3.0.gir
%{_libdir}/pkgconfig/*.pc

%changelog
